import java.awt.geom.Point2D;
import java.util.Comparator;
import java.util.HashMap;

public class XCompare implements Comparator<Vertex>
{
	HashMap<Vertex, Point2D> base;
	
	public XCompare(HashMap<Vertex, Point2D> base) {
		this.base = base;
	}
	
	public int compare(Vertex o1, Vertex o2) 
	{
		if (base.get(o1).getX() - base.get(o2).getX() > 0)
			return 1;
		else if (base.get(o1).getX() - base.get(o2).getX() == 0)
			return 0;
		else
			return -1;
	}
}