
public class Edge {
	
	/********************************************
	 * 											*
	 *           instance variables				*
	 * 											*
	 ********************************************/
	
	private Vertex v1;  // First vertex in Edge
	private Vertex v2;  // Second vertex in Edge
	
    private int weight;  // Edge cost
    
    /********************************************
	 * 											*
	 *          getters and setters				*
	 * 											*
	 ********************************************/
    
    public Vertex getV1() {
		return v1;
	}

	public void setV1(Vertex v1) {
		this.v1 = v1;
	}

	public Vertex getV2() {
		return v2;
	}

	public void setV2(Vertex v2) {
		this.v2 = v2;
	}

	public int getWeight() {
		return weight;
	}

	public void setWeight(int weight) {
		this.weight = weight;
	}
	
	/********************************************
	 * 											*
	 *              Constructors				*
	 * 											*
	 ********************************************/

	// First constructor with two vertices as its arguments calls the second constructor
    public Edge(Vertex v1, Vertex v2)
    {
        this(v1,v2,1);
    }
    
    // Second constructor with two vertices and a weight arguments
    public Edge(Vertex v1, Vertex v2, int weight)
    {
   		this.setV1(v1);
        this.setV2(v2);
        this.setWeight(weight);
    }

}
